#!/bin/bash

# Copyright (c) 2005 Chris Reuter. all rights reserved.
#
# This software may be freely redistributed under the terms of the GNU
# public license.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# 
# This is a quick-and-dirty install script for Quest For Pants.  You
# will likely need to modify it to do things like change the installation
# directory.
#


# Set this to your preferred "install" binary.
INSTALL=install

# The root directory into which to install everything.
INSTROOT=/usr/local/games

# The base installation directory.
INSTLIB=$INSTROOT/lib/qfp/

# The name of the Squeak VM we're going to use.
QFP_SQUEAK=$INSTLIB/vm/squeak

# The name of the initial image
GAMEIMG=$INSTDIR/game.image.bz2


if [[ "$UID" != "0" ]] ; then
	echo "Must be root to run this."
	exit 1;
fi

# Copy over the startup script.
$INSTALL -o root -D unix/qfp.sh $INSTROOT/qfp

# Copy the VM
$INSTALL -o root -D unix/squeak $QFP_SQUEAK

# Copy the starting image
$INSTALL -o root -m 644 image/game.image.bz2 $INSTLIB

